> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Instagram messages

> Shows Instagram messages you sent. Filter by date and status.



## OpenAPI

````yaml /en/instagram-api/api-reference/openapi-instagram.json get /v1/instagram/messages
openapi: 3.0.3
info:
  title: Notifique API — Instagram
  version: 1.0.0
  description: >-
    Send Instagram DMs and manage connections. Authenticate with `Authorization:
    Bearer sk_live_...` or `x-api-key`.
servers:
  - url: https://api.notifique.dev
    description: Production
security:
  - ntfIgBearerAuth: []
  - ntfIgApiKeyHeader: []
tags:
  - name: 'Instagram: instances'
    description: Criar, listar, desconectar e remover conexões Instagram.
  - name: 'Instagram: messages'
    description: Enviar, listar, editar, cancelar, apagar e inbound.
  - name: 'Instagram: comments'
    description: Listr, responder e moderar comentários.
paths:
  /v1/instagram/messages:
    get:
      tags:
        - 'Instagram: mensagens'
      summary: List Instagram messages
      description: Shows Instagram messages you sent. Filter by date and status.
      operationId: ntfIg_listMessages
      parameters:
        - name: page
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: string
        - name: instanceIds
          in: query
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
        - name: type
          in: query
          schema:
            type: string
      responses:
        '200':
          description: List paginada.
          content:
            application/json:
              example:
                success: true
                data:
                  - id: msg_abc
                    instanceId: inst_abc
                    status: SENT
                    to: '17841400000000000'
                    type: TEXT
                    payload:
                      message: Olá!
                    createdAt: '2026-07-20T12:00:00.000Z'
                meta:
                  page: 1
                  limit: 20
                  total: 1
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: msg_abc
                        instanceId:
                          type: string
                          example: inst_abc
                        status:
                          type: string
                          example: SENT
                        to:
                          type: string
                          example: '17841400000000000'
                        type:
                          type: string
                          example: TEXT
                        payload:
                          type: object
                          properties:
                            message:
                              type: string
                              example: Hello!
                        createdAt:
                          type: string
                          example: '2026-07-20T12:00:00.000Z'
                    example:
                      - id: msg_abc
                        instanceId: inst_abc
                        status: SENT
                        to: '17841400000000000'
                        type: TEXT
                        payload:
                          message: Olá!
                        createdAt: '2026-07-20T12:00:00.000Z'
                  meta:
                    type: object
                    properties:
                      page:
                        type: integer
                        example: 1
                      limit:
                        type: integer
                        example: 20
                      total:
                        type: integer
                        example: 1
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfIg_ErrorResponse'
        '403':
          description: Sem escopo instagram:read.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfIg_ErrorResponse'
components:
  schemas:
    NtfIg_ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: true
        data:
          type: object
          additionalProperties: true
        retryAfterSec:
          type: integer
          description: >-
            Segundos até poder tentar de novo (presente em 429 de cooldown/abuse
            pause).
  securitySchemes:
    ntfIgBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_live_...'
    ntfIgApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````